{
  pkgs ? import <nixpkgs> { },
}:

pkgs.mkShell {
  buildInputs = [
    pkgs.python312
    pkgs.python312Packages.virtualenv
  ];

  shellHook = ''
    if [ ! -d .venv ]; then
      virtualenv .venv
      . .venv/bin/activate
      pip install -r requirements.txt
      pip install -e .
    else
      . .venv/bin/activate
    fi
  '';
}
